package de.uniulm.mathematik.typo.hyphen;

/**
 * A weighted hyphenation point is a tuple consisting of a
 * non-negative hyphenation position (taken relative to the
 * beginning of the word) and an associated weight.
 * The larger the weight the more favorable is a hyphenation
 * at that point.
 */
public interface WeightedHyphenationPoint {
   /**
    * Return position of this hyphenation point which is to be
    * interpreted relatively to the beginning of the word this
    * point belongs to.
    */
   public int getPosition();

   /**
    * Return weight of this hyphenation point.
    */
   public int getWeight();
}
