package de.uniulm.mathematik.typo.hyphen;

import java.util.*;

/**
 * A weighted hyphenation rule applies for a particular word
 * and consists of a sequence of weighted hyphenation points.
 * The sequence is ordered with ascending hyphenation positions.
 * If the word is of length <I>n</I>, possible hyphenation
 * positions range from 0 to <I>n</I>. There is at maxium
 * one hyphenation point given for a hyphenation position.
 */
public interface WeightedHyphenationRule
   extends Iterable<WeightedHyphenationPoint> {
}
