package de.uniulm.mathematik.typo.hyphen;

/**
 * Interface extension for weighted hyphenators.
 */
public interface WeightedHyphenator extends Hyphenator {

   /**
    * Return minimal weight within the associated rules.
    */
   public int getMinWeight();

   /**
    * Return maximal weight within the associated rules.
    */
   public int getMaxWeight();

   /**
    * Return possible hyphenation points with weights for a given string.
    * @param s Sequence of letters that constitute a to be hyphenated
    *          word.
    * @return  An iterable weighted hyphenation rule.
    */
   public WeightedHyphenationRule hyphenateWithWeights(String s);
}
